package com.diagbot.service.impl;

import com.diagbot.dto.QcCasesEntryDTO;
import com.diagbot.dto.QcCasesEntrySimpleDTO;
import com.diagbot.entity.QcCasesEntry;
import com.diagbot.mapper.QcCasesEntryMapper;
import com.diagbot.service.QcCasesEntryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.AnalyzeVO;
import com.diagbot.vo.QcEntryHospitalVO;
import com.diagbot.vo.QcResultAlgQueryVO;
import com.diagbot.vo.QcResultAlgVO;
import com.diagbot.vo.QcTypeIndexVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 病历条目 服务实现类
 * </p>
 *
 * @author wangfeng
 * @time: 2024-04-13
 */
@Service
public class QcCasesEntryServiceImpl extends ServiceImpl<QcCasesEntryMapper, QcCasesEntry> implements QcCasesEntryService {
    @Override
    public List<QcCasesEntryDTO> getQcCasesEntry(AnalyzeVO analyzeVO){
        return baseMapper.getQcCasesEntry(analyzeVO);
    }

    @Override
    public List<QcResultAlgVO> getQcResultAlgVO(QcResultAlgQueryVO qcResultAlgQueryVO){
        return baseMapper.getQcResultAlgVO(qcResultAlgQueryVO);
    }

    @Override
    public List<QcCasesEntrySimpleDTO> index(QcTypeIndexVO qcTypeIndexVO) {
        return baseMapper.index(qcTypeIndexVO);
    }

    @Override
    public List<QcCasesEntrySimpleDTO> getEntryByHospital(QcEntryHospitalVO qcEntryHospitalVO) {
        return baseMapper.getEntryByHospital(qcEntryHospitalVO);
    }
}
